Skip site navigation (1) Skip section navigation (2)

pgsql: Install check_stack_depth() protection in two recursive tsquery

From: tgl(at)postgresql(dot)org (Tom Lane)
To: pgsql-committers(at)postgresql(dot)org
Subject: pgsql: Install check_stack_depth() protection in two recursive tsquery
Date: 2007-08-31 02:26:29
Message-ID: 20070831022629.C6F58754201@cvs.postgresql.org (view raw or flat)
Thread:
Lists: pgsql-committers
Log Message:
-----------
Install check_stack_depth() protection in two recursive tsquery
processing routines.  Per Heikki.

Modified Files:
--------------
    pgsql/src/backend/utils/adt:
        tsquery.c (r1.1 -> r1.2)
        (http://developer.postgresql.org/cvsweb.cgi/pgsql/src/backend/utils/adt/tsquery.c?r1=1.1&r2=1.2)
        tsvector_op.c (r1.1 -> r1.2)
        (http://developer.postgresql.org/cvsweb.cgi/pgsql/src/backend/utils/adt/tsvector_op.c?r1=1.1&r2=1.2)

pgsql-committers by date

Next:From: Bruce MomjianDate: 2007-08-31 03:26:27
Subject: pgsql: Fix docs so indexes can be built by commenting out GiST/GIN index
Previous:From: Bruce MomjianDate: 2007-08-31 02:03:02
Subject: pgsql: Add openjade warning -wfully-tagged to warn about missing close

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group